=== debian/changelog ===
sasview (5.0.6-2) unstable; urgency=medium

  * Fix typo in debian/clean to make clean target work (Closes: #1047258,
    #1049810).
  * Cherry-pick upstream patch for Python 3.12 compatibility
    (Closes: #1061760).

 -- Stuart Prescott <stuart@debian.org>  Mon, 19 Feb 2024 00:09:40 +1100

sasview (5.0.6-1) unstable; urgency=medium

  * New upstream release.
    - drop numpy-1.23.patch, applied usptream
    - refresh other patches
  * Update debian/watch for github changes.
  * Move most build-dependencies to Build-Depends-Indep now that packages are
    arch:all.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Aug 2023 16:31:11 +1000

sasview (5.0.5-5) unstable; urgency=medium

  * Add new patch to provide compatibility with numpy 1.24 (Closes: #1027248).
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 09 Jan 2023 18:17:54 +1100

sasview (5.0.5-4) unstable; urgency=medium

  * Cherry-pick upstream patch for compatibility with numpy 1.23
    (Closes: #1026349).

 -- Stuart Prescott <stuart@debian.org>  Mon, 19 Dec 2022 10:27:43 +1100

sasview (5.0.5-3) unstable; urgency=medium

  * Upload to unstable.
  * Convert package to Architecture: all.

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Nov 2022 18:10:17 +1100
