=== debian/control ===
Source: sasview
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Drew Parsons <dparsons@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-numpy,
Build-Depends-Indep:
 libjs-jquery,
 libjs-mathjax,
 pyqt5-dev-tools,
 python3-bumps (>> 0.9.0~),
 python-bumps-doc (>> 0.9.0~),
 python3-dominate,
 python3-h5py,
 python3-ipython,
 python3-lxml,
 python3-matplotlib,
 python3-periodictable,
 python3-pil,
 python3-pyparsing,
 python3-pytest,
 python3-pyqt5,
 python3-qt5reactor,
 python3-qtconsole,
 python3-pyqt5.qtsvg,
 python3-sasmodels (>> 1.0.7~),
 python-sasmodels-doc (>> 1.0.7~),
 python3-scipy,
 python3-setuptools,
 python3-sphinx (>= 1.6~),
 python3-uncertainties,
 python3-xhtml2pdf,
 python3-html2text,
 rename,
 texinfo,
 texlive-fonts-recommended,
 tex-gyre,
 texlive-plain-generic,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 xauth,
 xserver-xephyr,
 xvfb,
Standards-Version: 4.6.2
Homepage: https://www.sasview.org/
Vcs-Git: https://salsa.debian.org/science-team/sasview.git
Vcs-Browser: https://salsa.debian.org/science-team/sasview
Rules-Requires-Root: no

Package: sasview
Architecture: all
Depends:
 python3-pkg-resources,
 python3-sasview,
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 sasview-doc
Description: Small Angle Scattering Analysis suite
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 This package installs the sasview executable script.

Package: python3-sasview
Architecture: all
Section: python
Depends:
 python3-bumps (>> 0.9.0~),
 python3-dominate,
 python3-h5py,
 python3-ipython,
 python3-lxml,
 python3-matplotlib,
 python3-numpy,
 python3-periodictable,
 python3-pil,
 python3-pyparsing,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-qt5reactor,
 python3-qtconsole,
 python3-sasmodels (>> 1.0.6~),
 python3-scipy,
 python3-uncertainties,
 python3-xhtml2pdf,
 python3-html2text,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Suggests:
 sasview-doc
Description: Small Angle Scattering Analysis
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 This is the package of Python modules; most users will want the graphical
 user interface in the sasview package.

Package: sasview-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: Small Angle Scattering Analysis (documentation)
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 This is the documentation package.
