=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sasview

# Enable additional hardening options for the binaries but not PIE since it is
# not wanted for shared libraries.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# SasView insists on writing to ~/sasview.log
export HOME = $(CURDIR)/build/

# Force pdflatex to use SOURCE_DATE_EPOCH for \today too
export FORCE_SOURCE_DATE = 1


%:
	dh $@ --with python3,sphinxdoc,numpy3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	# clean up tests
	find test -name logs -type d -exec rm -rf {} +

execute_after_dh_auto_build:
	# reassemble the docs from dependent packages to make the overall
	./debian/fetchdocs
	mkdir build
	SASVIEW_BUILD=`pybuild --print build_dir -i python3` \
	  xvfb-run -a --server-args='-screen 0 1024x768x24' \
	  python3 setup.py docs update
	# Strip absolute build paths from HTML documentation
	mkdir -p docs/sphinx-docs/build/html/_static/
	find -type f -name '*.html' -print0 | \
	  xargs -0r sed -i -e "s@$(CURDIR)/`echo build/lib.*`@path/to@g"
	ln -sf /usr/share/javascript/mathjax/ docs/sphinx-docs/build/html/_static/

# execute_after_dh_auto_test:
# SKIP: these test currently hang (v5.0.5)
# 	# Run some additional GUI tests
# 	# they fail upstream at present so run them without failing the build
# 	PYBUILD_SYSTEM=custom \
# 	PYBUILD_BEFORE_TEST="cp -r {dir}/src/sas/qtgui {build_dir}; cp {dir}/src/sas/sasview/test/1d_data/beam\ profile.DAT {build_dir}/qtgui/beam_profile.DAT" \
# 	PYBUILD_TEST_ARGS="cd {build_dir}/qtgui; xvfb-run -a --server-args='-screen 0 1024x768x24' python3 GUITests.py" \
# 	PYBUILD_AFTER_TEST="rm -rf {build_dir}/qtgui" \
# 	dh_auto_test || true

execute_after_dh_auto_install:
	# remove extra copy of the docs that isn't needed
	rm -rf debian/python3-sasview/usr/lib/python*/dist-packages/doc
	# move the executable into the sasview package
	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
	mkdir -p debian/sasview/usr/bin
	mv debian/python3-sasview/usr/bin/sasview debian/sasview/usr/bin/sasview

execute_after_dh_python3:
	rm -rf debian/python3-sasview/usr/lib/python3*/dist-packages/qtgui

execute_after_dh_fixperms:
	find debian/python3-sasview/usr/lib/python*/dist-packages/ -type f -exec chmod a-x {} +
