## sasview 6.0.0

=== build_tools/requirements.txt ===
# Alphabetized list of OS and version agnostic dependencies
appdirs
bumps
cffi
docutils
dominate
h5py
html2text
html5lib
importlib-resources
ipython
jsonschema
lxml
mako
matplotlib
numba
periodictable
pybind11
pylint
pyopengl
pyparsing
pytest
pytest_qt
pytest-mock
pytools
qtconsole
six
sphinx
superqt
tinycc
twisted
uncertainties
unittest-xml-reporting
xhtml2pdf
zope

# Alphabetized list of OS-specific packages
pywin32; platform_system == "Windows"

# Alphabetized list of version-pinned packages
numpy==1.26.4  # 2.0.0 deprecates many functions used in the codebase (and potentially in dependencies)
PySide6==6.4.3  # Later versions do not mesh well with pyinstaller < 6.0
scipy==1.13.1  # 1.14 deprecates some functions used in the codebase (and potentially in dependencies)
