=== debian/changelog ===
sasview (6.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Tue, 04 Feb 2025 21:34:47 +1100

sasview (6.0.0-2) experimental; urgency=medium

  * Tighten versioned dependencies on sasdata to pick up newer package from
    experimental.

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Dec 2024 12:18:12 +1100

sasview (6.0.0-1) experimental; urgency=medium

  * New upstream release.
    - drop patches applied upstream
    - switch packaging from pyqt5 to pyside6
    - add new patch to handle new doc-caching/rebuilding code (only handles
      the caching at this stage, rebuilding disabled in 6.0.0)

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Dec 2024 13:04:17 +1100

sasview (5.0.6-4) unstable; urgency=medium

  * Add updated patch to change schema to work with both old and new libxml2.

 -- Stuart Prescott <stuart@debian.org>  Fri, 09 Aug 2024 15:24:23 +1000

sasview (5.0.6-3) unstable; urgency=medium

  * debian patch fix_invalid_data_tests.patch from sasdata catches
    Exceptions generated by tests of invalid data. Closes: #1073429.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Jul 2024 23:00:00 +0200
