=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
- Stuart Prescott <stuart@debian.org>
+ Stuart Prescott <stuart@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -13,42 +13,57 @@
 Build-Depends-Indep:
  libjs-jquery,
  libjs-mathjax,
- pyqt5-dev-tools,
+ pyside6-tools,
+ python-bumps-doc (>> 0.9.0~),
+ python-sasdata-doc  (>> 0.9.0-2~),
+ python-sasmodels-doc (>> 1.0.8~),
  python3-bumps (>> 0.9.0~),
- python-bumps-doc (>> 0.9.0~),
  python3-dominate,
  python3-h5py,
+ python3-html2text,
  python3-ipython,
  python3-lxml,
  python3-matplotlib,
+ python3-opengl,
  python3-periodictable,
  python3-pil,
  python3-pyparsing,
+ python3-pyside6.qtcore,
+ python3-pyside6.qtgui,
+ python3-pyside6.qtopengl,
+ python3-pyside6.qtopenglwidgets,
+ python3-pyside6.qtprintsupport,
+ python3-pyside6.qtquick,
+ python3-pyside6.qtsvg,
+ python3-pyside6.qttest,
+ python3-pyside6.qtwebenginecore,
+ python3-pyside6.qtwebenginewidgets,
+ python3-pyside6.qtwidgets,
  python3-pytest,
- python3-pyqt5,
- python3-qt5reactor,
  python3-qtconsole,
- python3-pyqt5.qtsvg,
- python3-sasmodels (>> 1.0.7~),
- python-sasmodels-doc (>> 1.0.7~),
+ python3-qtpy,
+ python3-sasdata (>> 0.9.0-2~),
+ python3-sasmodels (>> 1.0.8~),
  python3-scipy,
  python3-setuptools,
- python3-sphinx (>= 1.6~),
+ python3-six,
+ python3-sphinx,
+ python3-superqt,
+ python3-twisted,
  python3-uncertainties,
  python3-xhtml2pdf,
- python3-html2text,
  rename,
+ tex-gyre,
  texinfo,
  texlive-fonts-recommended,
- tex-gyre,
- texlive-plain-generic,
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
+ texlive-plain-generic,
  xauth,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
@@ -60,9 +75,9 @@
  python3-pkg-resources,
  python3-sasview,
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
 Suggests:
- sasview-doc
+ sasview-doc,
 Description: Small Angle Scattering Analysis suite
  SasView is software for the analysis of Small-Angle Scattering (SAS)
  data.
@@ -89,27 +104,39 @@
  python3-bumps (>> 0.9.0~),
  python3-dominate,
  python3-h5py,
+ python3-html2text,
  python3-ipython,
  python3-lxml,
  python3-matplotlib,
  python3-numpy,
+ python3-opengl,
  python3-periodictable,
  python3-pil,
  python3-pyparsing,
- python3-pyqt5,
- python3-pyqt5.qtsvg,
- python3-qt5reactor,
+ python3-pyside6.qtcore,
+ python3-pyside6.qtgui,
+ python3-pyside6.qtopengl,
+ python3-pyside6.qtopenglwidgets,
+ python3-pyside6.qtprintsupport,
+ python3-pyside6.qtquick,
+ python3-pyside6.qtsvg,
+ python3-pyside6.qttest,
+ python3-pyside6.qtwebenginecore,
+ python3-pyside6.qtwebenginewidgets,
+ python3-pyside6.qtwidgets,
  python3-qtconsole,
- python3-sasmodels (>> 1.0.6~),
+ python3-sasdata (>> 0.9.0-2~),
+ python3-sasmodels (>> 1.0.8~),
  python3-scipy,
+ python3-six,
+ python3-superqt,
+ python3-twisted,
  python3-uncertainties,
  python3-xhtml2pdf,
- python3-html2text,
  ${misc:Depends},
  ${python3:Depends},
- ${shlibs:Depends}
 Suggests:
- sasview-doc
+ sasview-doc,
 Description: Small Angle Scattering Analysis
  SasView is software for the analysis of Small-Angle Scattering (SAS)
  data.
@@ -138,7 +165,7 @@
  libjs-jquery,
  libjs-mathjax,
  ${misc:Depends},
- ${sphinxdoc:Depends}
+ ${sphinxdoc:Depends},
 Description: Small Angle Scattering Analysis (documentation)
  SasView is software for the analysis of Small-Angle Scattering (SAS)
  data.
