=== debian/changelog ===
sasview (6.0.1-2) unstable; urgency=medium

  * Permit usage with matplotlib 3.10 after additional testing.
  * Update Standards-Version to 4.7.2 (no changes required).
  * Update S-V to 4.7.2 (no changes)

 -- Stuart Prescott <stuart@debian.org>  Thu, 27 Mar 2025 23:41:33 +1100

sasview (6.0.1-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
    - update version constraints for current version
  * Add new patch for bumps 1.x API changes.

 -- Stuart Prescott <stuart@debian.org>  Sun, 16 Mar 2025 14:55:16 +1100
