=== debian/control ===
--- 
+++ 
@@ -43,10 +43,9 @@
  python3-qtconsole,
  python3-qtpy,
  python3-sasdata (>> 0.9.0-2~),
- python3-sasmodels (>> 1.0.8~),
+ python3-sasmodels (>> 1.0.9~),
  python3-scipy,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-superqt,
  python3-twisted,
@@ -63,7 +62,7 @@
  xauth,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
@@ -73,7 +72,7 @@
 Architecture: all
 Depends:
  python3-pkg-resources,
- python3-sasview,
+ python3-sasview (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
@@ -126,9 +125,8 @@
  python3-pyside6.qtwidgets,
  python3-qtconsole,
  python3-sasdata (>> 0.9.0-2~),
- python3-sasmodels (>> 1.0.8~),
+ python3-sasmodels (>> 1.0.9~),
  python3-scipy,
- python3-six,
  python3-superqt,
  python3-twisted,
  python3-uncertainties,
