## sasview 6.1.0

=== build_tools/requirements.txt ===
# Alphabetized list of OS and version agnostic dependencies
appdirs
bumps
cffi
docutils
dominate
h5py
html2text
html5lib
importlib-resources;python_version<"3.9"
ipython
jsonschema
lxml
mako
matplotlib
numba
numpy
packaging
periodictable
platformdirs
pybind11
pylint
pyopencl
pyopengl
pyparsing
PySide6
pytools
qtconsole
sasdata
sasmodels
scipy
siphash24
sphinx
superqt
tccbox
twisted
uncertainties
xhtml2pdf
zope

# Alphabetized list of OS-specific packages
pywin32; platform_system == "Windows"
