=== debian/changelog ===
sasview (6.1.0-1) experimental; urgency=medium

  * New upstream release.
    - refresh patches, dropping those applied upstream
    - update build-depends and rules to new build system
  * Add new patches:
    - use 'python3' not 'python' at build time
    - avoid double installation of example_data into wheel
    - fix incorrect import in test suite
    - set documentation installation location
  * Update build system to match upstream changes.
  * Drop building of PDF as no longer supported by upstream.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Jul 2025 21:29:55 +1000
