=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Build-Depends-Indep:
  libjs-jquery,
  libjs-mathjax,
+ pybuild-plugin-pyproject,
  pyside6-tools,
  python-bumps-doc (>> 0.9.0~),
  python-sasdata-doc  (>> 0.9.0-2~),
@@ -20,6 +21,11 @@
  python3-bumps (>> 0.9.0~),
  python3-dominate,
  python3-h5py,
+ python3-hatch-build-scripts,
+ python3-hatch-requirements-txt,
+ python3-hatch-sphinx,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-html2text,
  python3-ipython,
  python3-lxml,
@@ -45,20 +51,12 @@
  python3-sasdata (>> 0.9.0-2~),
  python3-sasmodels (>> 1.0.9~),
  python3-scipy,
- python3-setuptools,
  python3-sphinx,
  python3-superqt,
  python3-twisted,
  python3-uncertainties,
  python3-xhtml2pdf,
  rename,
- tex-gyre,
- texinfo,
- texlive-fonts-recommended,
- texlive-latex-base,
- texlive-latex-extra,
- texlive-latex-recommended,
- texlive-plain-generic,
  xauth,
  xserver-xephyr,
  xvfb,
