## sasview 6.1.1

=== build_tools/requirements.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
 uncertainties
 xhtml2pdf
 zope
+requests
 
 # Alphabetized list of OS-specific packages
 pywin32; platform_system == "Windows"
