=== debian/changelog ===
sasview (6.1.1-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
    - update versioned build-deps and depends
    - refresh patches
  * Prevent unneeded dependency on python3-appdirs being added.

 -- Stuart Prescott <stuart@debian.org>  Wed, 08 Oct 2025 15:01:29 +1100
