=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libjs-mathjax,
  pybuild-plugin-pyproject,
  pyside6-tools,
- python-bumps-doc (>> 0.9.0~),
- python-sasdata-doc  (>> 0.9.0-2~),
- python-sasmodels-doc (>> 1.0.8~),
- python3-bumps (>> 0.9.0~),
+ python-bumps-doc (>> 1.0.2~),
+ python-sasdata-doc  (>> 0.11.0~),
+ python-sasmodels-doc (>> 1.0.11~),
+ python3-bumps (>> 1.0.2~),
  python3-dominate,
  python3-h5py,
  python3-hatch-build-scripts,
@@ -48,8 +48,8 @@
  python3-pytest,
  python3-qtconsole,
  python3-qtpy,
- python3-sasdata (>> 0.9.0-2~),
- python3-sasmodels (>> 1.0.9~),
+ python3-sasdata (>> 0.11.0~),
+ python3-sasmodels (>> 1.0.11~),
  python3-scipy,
  python3-sphinx,
  python3-superqt,
@@ -98,7 +98,7 @@
 Architecture: all
 Section: python
 Depends:
- python3-bumps (>> 0.9.0~),
+ python3-bumps (>> 1.0.2~),
  python3-dominate,
  python3-h5py,
  python3-html2text,
@@ -122,8 +122,8 @@
  python3-pyside6.qtwebenginewidgets,
  python3-pyside6.qtwidgets,
  python3-qtconsole,
- python3-sasdata (>> 0.9.0-2~),
- python3-sasmodels (>> 1.0.9~),
+ python3-sasdata (>> 0.11.0~),
+ python3-sasmodels (>> 1.0.11~),
  python3-scipy,
  python3-superqt,
  python3-twisted,
