=== debian/watch ===
Version: 5

Template: Github
Owner: SasView
Project: sasview
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/
