## sasview 6.1.2

=== build_tools/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 # Alphabetized list of OS and version agnostic dependencies
-appdirs
 bumps
 cffi
 docutils
@@ -18,6 +17,7 @@
 packaging
 periodictable
 platformdirs
+pyausaxs==1.0.4
 pybind11
 pylint
 pyopencl
