=== debian/changelog ===
sasview (6.1.2-2) unstable; urgency=medium

  * Add additional build-output to d/clean to permit building twice-in-a-row.

 -- Stuart Prescott <stuart@debian.org>  Sat, 24 Jan 2026 16:35:08 +1100

sasview (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop Priority and Rules-Requires-Root fields, no longer required.
  * Push numba into Recommends rather than Depends to avoid its flakiness.
  * Remove dependency on pkg-resources, only used in dead code
    (Closes: #1083761).
  * Add new patch to skip pyausaxs tests until it is packaged.
  * Update lintian-overrides.
  * Update Standards-Version to 4.7.3 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 13 Jan 2026 17:03:26 +1100
