=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sasview
 Section: science
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
@@ -17,7 +16,7 @@
  pyside6-tools,
  python-bumps-doc (>> 1.0.2~),
  python-sasdata-doc  (>> 0.11.0~),
- python-sasmodels-doc (>> 1.0.11~),
+ python-sasmodels-doc (>> 1.0.12~),
  python3-bumps (>> 1.0.2~),
  python3-dominate,
  python3-h5py,
@@ -49,7 +48,7 @@
  python3-qtconsole,
  python3-qtpy,
  python3-sasdata (>> 0.11.0~),
- python3-sasmodels (>> 1.0.11~),
+ python3-sasmodels (>> 1.0.12~),
  python3-scipy,
  python3-sphinx,
  python3-superqt,
@@ -60,16 +59,14 @@
  xauth,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
-Rules-Requires-Root: no
 
 Package: sasview
 Architecture: all
 Depends:
- python3-pkg-resources,
  python3-sasview (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -123,7 +120,7 @@
  python3-pyside6.qtwidgets,
  python3-qtconsole,
  python3-sasdata (>> 0.11.0~),
- python3-sasmodels (>> 1.0.11~),
+ python3-sasmodels (>> 1.0.12~),
  python3-scipy,
  python3-superqt,
  python3-twisted,
@@ -131,6 +128,8 @@
  python3-xhtml2pdf,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-numba,
 Suggests:
  sasview-doc,
 Description: Small Angle Scattering Analysis
