=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 execute_after_dh_auto_install:
 	# tidy up some items that creep into the module but should not
 	rm -rf debian/python3-sasview/usr/lib/python*/dist-packages/doc
-	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
+	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat \) -delete
 	# move the executable into the sasview package
 	mkdir -p debian/sasview/usr/bin
 	mv $(CURDIR)/debian/python3-sasview/usr/bin/sasview $(CURDIR)/debian/sasview/usr/bin/sasview
